program test
implicit none
double precision,dimension(:),allocatable :: tau,work
double precision,dimension(:,:),allocatable :: DDG
integer :: lwork,m,n,info,i

m=2400
n=54


lwork=n+1
allocate(tau(n),work(lwork),DDG(m+n,n))
tau=0d0
work=0d0
open(10,file='DDG.txt')
do i=1,m+n
read(10,*) DDG(i,:)
print *,'i',i
end do
close(10)


call dgeqrf(m+n, n, DDG, m+n, tau, work, lwork, info)



print *,'aprecon:DDG',DDG


end program test
